"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deploy = void 0;
const deployer_1 = require("../deployer");
const settings_1 = require("../settings");
async function deploy(access_token, work_id, out_file) {
    let settings = await settings_1.load_settings(settings_1.get_settings_file());
    if (!settings.work_id && !work_id) {
        console.error('Workspace ID must be provided in settings file to synchronise tracking plans');
        return;
    }
    if (!settings.access_token && !access_token) {
        console.error('Access token must be provided as argument or provided in settings file to synchronise tracking plans');
        return;
    }
    if (settings.fn_type == 'source') {
        await deployer_1.deploy_source(settings, access_token, work_id, undefined, undefined, out_file);
    }
    else {
        await deployer_1.deploy_destination(settings, access_token, work_id, undefined, undefined, out_file);
    }
}
exports.deploy = deploy;
//# sourceMappingURL=deploy.js.map