"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sync_tp = void 0;
const generate_protocol_1 = require("../generate_protocol");
const settings_1 = require("../settings");
async function sync_tp(access_token) {
    let settings = await settings_1.load_settings(settings_1.get_settings_file());
    if (!settings.work_slug) {
        console.error('Workspace slug must be provided in settings file to synchronise tracking plans');
        return;
    }
    if (!settings.tp_name || settings.tp_name == 'none') {
        console.error('Tracking plan name must be provided in settings file to synchronise tracking plans');
        return;
    }
    if (!settings.access_token && !access_token) {
        console.error('Access token must be provided as argument or provided in settings file to synchronise tracking plans');
        return;
    }
    generate_protocol_1.generate_protocol_definitions({
        work_slug: settings.work_slug,
        tp_name: settings.tp_name,
        access_token: (access_token || settings.access_token),
        out_file: generate_protocol_1.get_protocol_filename()
    });
}
exports.sync_tp = sync_tp;
//# sourceMappingURL=sync_tp.js.map