"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.build_function = exports.deploy_destination = exports.deploy_source = exports.get_js = void 0;
const typescript_1 = require("typescript");
const config_api_1 = require("segment-typescript-api/cjs/config_api");
const fs = __importStar(require("fs-extra"));
const settings_1 = require("./settings");
const webpack_1 = require("./webpack");
// import { updateFunction, createFunction } from './gateway/api'
// import { getWorkspaceId as _getWorkspaceId, get_function_ids } from './gateway/request'
// import { FunctionType } from './gateway/api'
// import { Settings } from 'http2'
// import { Settings } from './settings'
// export async function deploy_functions(settings: Settings, url: string, debug: boolean) {
//   if (settings.)
//   // await Promise.all([
//   //   settings.protocol.src_fn_name ? deploy_source(path.join(process.cwd(), 'src'), true, url, settings.protocol.src_fn_name, settings.protocol.work_id, settings.server.access_token).then(() => {
//   //     console.log('Deployed source ' + settings.protocol.src_fn_name)
//   //   }) : Promise.resolve(),
//   //   settings.protocol.dest_fn_name ? deploy_destination(path.join(process.cwd(), 'src'), true, url, settings.protocol.dest_fn_name, settings.protocol.work_id, settings.server.access_token).then(() => {
//   //     console.log('Deployed destination ' + settings.protocol.dest_fn_name)
//   //   }) : Promise.resolve()
//   // ])
//   if (settings.protocol.src_fn_name) {
//     let src = path.join(process.cwd(), 'src')
//     src = fs.existsSync(src) ? src : process.cwd()
//     await deploy_source(src, debug, url, settings.protocol.src_fn_name, settings.protocol.work_slug, settings.server.access_token)
//     console.log('Deployed source ' + settings.protocol.src_fn_name)
//   }
//   if (settings.protocol.dest_fn_name) {
//     let src = path.join(process.cwd(), 'src')
//     src = fs.existsSync(src) ? src : process.cwd()
//     await deploy_destination(src, debug, url, settings.protocol.dest_fn_name, settings.protocol.work_slug, settings.server.access_token)
//     console.log('Deployed destination ' + settings.protocol.dest_fn_name)
//   }
// }
async function get_js(settings) {
    let fn_path = settings_1.get_source_file(settings);
    if (settings.language == 'typescript') {
        let ts = await fs.promises.readFile(fn_path, 'utf8');
        return typescript_1.transpile(ts, {
            target: typescript_1.ScriptTarget.ES2017
        });
    }
    else {
        return await fs.promises.readFile(fn_path, 'utf8');
    }
}
exports.get_js = get_js;
// export function prepare_source_code(js: string) {
//   return js
//     .replace(/Object\.defineProperty\(exports\, \"__esModule\"\, \{ value\: true \}\)\;/, '')
//     .replace(/exports\.onRequest \= void 0\;/, '')
//     .replace(/exports[\s]*\.onRequest[\s]*\=[\s]*onRequest[;]?/, '')
// }
// export function prepare_destination_code(js: string) {
//   return js
//     .replace(/Object\.defineProperty\(exports\, \"__esModule\"\, \{ value\: true \}\)\;/, '')
//     .replace(/exports\.onTrack \= void 0\;/, '')
//     .replace(/exports[\s]*\.onTrack[\s]*\=[\s]*onTrack[;]?/, '')
//     .replace(/exports\.onIdentify \= void 0\;/, '')
//     .replace(/exports[\s]*\.onIdentify[\s]*\=[\s]*onIdentify[;]?/, '')
//     .replace(/exports\.onAlias \= void 0\;/, '')
//     .replace(/exports[\s]*\.onAlias[\s]*\=[\s]*onAlias[;]?/, '')
//     .replace(/exports\.onGroup \= void 0\;/, '')
//     .replace(/exports[\s]*\.onGroup[\s]*\=[\s]*onGroup[;]?/, '')
//     .replace(/exports\.onPage \= void 0\;/, '')
//     .replace(/exports[\s]*\.onPage[\s]*\=[\s]*onPage[;]?/, '')
//     .replace(/exports\.onScreen \= void 0\;/, '')
//     .replace(/exports[\s]*\.onScreen[\s]*\=[\s]*onScreen[;]?/, '')
// }
async function deploy_source(settings, access_token, work_slug, work_id, debug_url, out_file) {
    if (!(work_slug || settings.work_slug) || !(settings.work_id || work_id) || !(settings.access_token || access_token)) {
        throw 'Cannot deploy without workspace Slug, workspace ID, and access token';
    }
    let js = '';
    if (debug_url) {
        if (debug_url.charAt(debug_url.length - 1)) {
            debug_url = debug_url + '/';
        }
        js = `
async function onRequest(request, settings) {
  let headers = {}
  let body = await request.text()
  request.headers.forEach((v, k) => {
    headers[k] = v
  })
  let payload = {
    headers,
    body
  }
  return fetch('${debug_url}' + request.url.search, {
    method: 'post',
    body: JSON.stringify(payload),
    headers: {
      'Content-Type': 'application/json'
    }
  })
}`;
    }
    else {
        let js = await get_js(settings);
        js = await webpack_1.pack(js, true);
    }
    if (out_file) {
        await fs.writeFile(out_file, js, 'utf8');
    }
    else {
        await build_function(settings.fn_name, true, (work_slug || settings.work_slug), (work_id || settings.work_id), js, (access_token || settings.access_token));
    }
}
exports.deploy_source = deploy_source;
async function deploy_destination(settings, access_token, work_slug, work_id, debug_url, out_file) {
    if (!(work_slug || settings.work_slug) || !(settings.work_id || work_id) || !(settings.access_token || access_token)) {
        throw 'Cannot deploy without workspace ID and access token';
    }
    let js = '';
    if (debug_url) {
        js = `async function onTrack(event, settings) {
  await fetch('${debug_url}', {
    method: 'post',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      event, settings
    })
  })
}
async function onIdentify(event, settings) {
  await fetch('${debug_url}', {
    method: 'post',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      event, settings
    })
  })
}
async function onAlias(event, settings) {
  await fetch('${debug_url}', {
    method: 'post',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      event, settings
    })
  })
}
async function onPage(event, settings) {
  await fetch('${debug_url}', {
    method: 'post',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      event, settings
    })
  })
}
async function onScreen(event, settings) {
  await fetch('${debug_url}', {
    method: 'post',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      event, settings
    })
  })
}
async function onGroup(event, settings) {
  await fetch('${debug_url}', {
    method: 'post',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      event, settings
    })
  })
}`;
    }
    else {
        let js = await get_js(settings);
        // let js = await fs.promises.readFile(fn_path, 'utf8')
        js = await webpack_1.pack(js, false); //prepare_destination_code(js)
        // let ts_path = path.join(dest_fn_path, 'dest_fn.ts')
        // let js_path = path.join(dest_fn_path, 'dest_fn.js')
        // if (fs.existsSync(ts_path)) {
        //   let sourceCode = await fs.promises.readFile(ts_path, 'utf8')
        //   js = transpile(sourceCode, {
        //     target: ScriptTarget.ES2017
        //   })
        //   js = js.replace(/export async/g, 'async').replace("import 'segment-typescript-definitions/common'", '').replace("import 'segment-typescript-definitions/custom-destination'", '')
        // } else {
        //   let sourceCode = await fs.promises.readFile(js_path, 'utf8')
        //   js = sourceCode
        //     .replace(/exports.onScreen[\s]*=[\s]*onScreen/, '')
        //     .replace(/exports.onGroup[\s]*=[\s]*onGroup/, '')
        //     .replace(/exports.onTrack[\s]*=[\s]*onTrack/, '')
        //     .replace(/exports.onAlias[\s]*=[\s]*onAlias/, '')
        //     .replace(/exports.onIdentify[\s]*=[\s]*onIdentify/, '')
        //     .replace(/exports.onPage[\s]*=[\s]*onPage/, '')
        // }
    }
    if (out_file) {
        await fs.writeFile(out_file, js, 'utf8');
    }
    else {
        await build_function(settings.fn_name, false, (work_slug || settings.work_slug), (work_id || settings.work_id), js, (access_token || settings.access_token));
    }
}
exports.deploy_destination = deploy_destination;
// async function try_build<T>(build: () => Promise<T>, retries?: number, retry_backoff?: number) {
//   if (retries) {
//     let backoff = retry_backoff || 500
//     let last_error: any
//     for (let i = 0; i < retries; i++) {
//       try {
//         let v = await build()
//         return v
//       } catch (e) {
//         last_error = e
//         console.error('Build failed with error: ' + e)
//       }
//       await new Promise(resolve => setTimeout(resolve, backoff))
//       backoff *= 2
//     }
//     throw last_error
//   } else {
//     return await build()
//   }
// }
async function build_function(fn_name, is_src, work_slug, work_id, code, access_token, dont_overwrite) {
    let wks = is_src ? '' : (await config_api_1.getWorkspace(access_token, work_slug)).display_name;
    let fns = await config_api_1.listFunctions(access_token, work_id, { type: is_src ? 'SOURCE' : 'DESTINATION', page_size: 100 });
    let fn = fns.functions ? fns.functions.find(fn => fn.display_name == (is_src ? fn_name : fn_name + ' (' + wks + ')')) : undefined;
    if (fn) {
        if (dont_overwrite) {
            return false;
        }
        let _fn = fn;
        let r = await config_api_1.updateFunction(access_token, work_id, _fn.id, {
            function: {
                code,
                buildpack: 'boreal'
            },
            update_mask: {
                paths: ['function.code', 'function.buildpack']
            }
        });
        return r.id;
    }
    else {
        let r = await config_api_1.createFunction(access_token, work_id, is_src ? 'SOURCE' : 'DESTINATION', {
            code,
            buildpack: 'boreal',
            display_name: fn_name,
        });
        return r.id;
    }
}
exports.build_function = build_function;
//# sourceMappingURL=deployer.js.map