"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate_protocol_definitions = exports.get_protocol_filename = void 0;
const segment_tsd_generator_1 = __importDefault(require("segment-tsd-generator"));
const config_api_1 = require("segment-typescript-api/cjs/config_api");
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
function get_protocol_filename() {
    return path.join(process.cwd(), 'typings', 'protocol.d.ts');
}
exports.get_protocol_filename = get_protocol_filename;
async function generate_protocol_definitions(args) {
    let tps = (await config_api_1.listAllTrackingPlans(args.access_token, args.work_slug));
    let _tp = tps.tracking_plans.find(tp => tp.display_name == args.tp_name);
    if (!_tp) {
        throw 'No Tracking Plan with Display name ' + args.tp_name;
    }
    let tp = await config_api_1.getTrackingPlan(args.access_token, args.work_slug, _tp.name);
    let tsd = await segment_tsd_generator_1.default(tp);
    await fs.promises.writeFile(args.out_file, tsd, 'utf8');
}
exports.generate_protocol_definitions = generate_protocol_definitions;
//# sourceMappingURL=generate_protocol.js.map