"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run_exec = exports.nodemon_installed = void 0;
const child_process_1 = require("child_process");
function nodemon_installed() {
    return new Promise((resolve, reject) => {
        child_process_1.exec(`nodemon --version`, (error, std_out) => {
            if (error) {
                reject(error);
            }
            else {
                resolve(std_out.substring(0, 1).match(/\d/) !== null);
            }
        });
    });
}
exports.nodemon_installed = nodemon_installed;
async function run_exec(settings, is_debug) {
    if (settings.language == 'typescript') {
        let is_nodemon = await nodemon_installed();
        let te = is_nodemon ? `nodemon --watch src -e ts --exec "tsc -p ."` : 'tsc -p .';
        child_process_1.spawn(te, { shell: true, stdio: 'inherit' });
    }
    let e = `sam local start-api --port ${settings.sam_port}`;
    if (is_debug) {
        e = `${e} --debug-port ${settings.debug_port}`;
    }
    child_process_1.spawn(e, { shell: true, stdio: 'inherit' });
}
exports.run_exec = run_exec;
//# sourceMappingURL=sam.js.map