"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.server = void 0;
const koa_1 = __importDefault(require("koa"));
const koa_router_1 = __importDefault(require("koa-router"));
const koa_body_1 = __importDefault(require("koa-body"));
const _1 = require(".");
async function server(settings) {
    if (!settings.proxy_port) {
        throw 'Cannot run proxy server without proxy port defined';
    }
    const server = new koa_1.default();
    const router = new koa_router_1.default();
    server.use(koa_body_1.default());
    router.post('/', async (ctx) => {
        if (settings.fn_type == 'source') {
            _1.test_src(ctx.request.body, settings.sam_port);
        }
        else {
            _1.test_dest(ctx.request.body, settings.sam_port);
        }
        ctx.body = '';
    });
    let port = settings.proxy_port;
    server.use(router.routes());
    server.listen(port);
}
exports.server = server;
//# sourceMappingURL=server.js.map