import { deploy_source, deploy_destination } from '../deployer'
import { load_settings, get_settings_file } from '../settings'

export async function deploy(access_token?: string, work_id?: string, out_file?: string) {
  let settings = await load_settings(get_settings_file())

  if (!settings.work_id && !work_id) {
    console.error('Workspace ID must be provided in settings file to synchronise tracking plans')
    return
  }
  if (!settings.access_token && !access_token) {
    console.error('Access token must be provided as argument or provided in settings file to synchronise tracking plans')
    return
  }

  if (settings.fn_type == 'source') {
    await deploy_source(settings, access_token, work_id, undefined, undefined, out_file)
  } else {
    await deploy_destination(settings, access_token, work_id, undefined, undefined, out_file)
  }
}